function setup() {
    const main_schema = require('./../defs/floorplanner/output_plan.json');

    const additional_schemas = [];

    additional_schemas.push(require('./../defs/common/basic_types.json'));
    additional_schemas.push(require('./../defs/common/date_time.json'));
    additional_schemas.push(require('./../defs/common/client.json'));
    additional_schemas.push(require('./../defs/common/version.json'));
    additional_schemas.push(require('./../defs/common/gender.json'));
    additional_schemas.push(require('./../defs/common/backend_version.json'));
    additional_schemas.push(require('./../defs/common/language.json'));
    additional_schemas.push(require('./../defs/common/weekday.json'));
    additional_schemas.push(require('./../defs/floorplanner/output_worker.json'));
    additional_schemas.push(require('./../defs/floorplanner/input_worker.json'));
    additional_schemas.push(require('./../defs/floorplanner/meta.json'));
    additional_schemas.push(require('./../defs/floorplanner/parameters.json'));
    additional_schemas.push(require('./../defs/floorplanner/input_plan.json'));
    additional_schemas.push(require('./../defs/floorplanner/output_task_assigned.json'));
    additional_schemas.push(require('./../defs/floorplanner/output_task_unassigned.json'));
    additional_schemas.push(require('./../defs/floorplanner/input_task.json'));
    additional_schemas.push(require('./../defs/floorplanner/statistics.json'));
    additional_schemas.push(require('./../defs/floorplanner/info.json'));
    additional_schemas.push(require('./../defs/floorplanner/history_task.json'));
    additional_schemas.push(require('./../defs/floorplanner/history_assignment.json'));
    additional_schemas.push(require('./../defs/floorplanner/history_worker.json'));
    additional_schemas.push(require('./../defs/floorplanner/history.json'));

    return {
        main_schema: main_schema,
        additional_schemas: [...additional_schemas]
    };
}

module.exports = setup();
